<template>
    <section class="lanlord-filters with-image" :class="typeof $parent.campusData.campus.heading != 'undefined'?'nsb':''" v-show="this.$parent.campusData.campus.featured_landlord_id">

        <input type="hidden" name="landlord_id" data-test-rb="ovais-rind">
        <template v-if="!this.$parent.isMobile()">
            <div class="image" @click="landlordFilter($parent.campusData.campus.featured_landlord_id)">
                <img :src="this.awsPath+'images/featured_landlord/'+$parent.campusData.campus.featured_image" :alt="(this.$parent.campusData.campus.featured_landlord_company != null ? this.$parent.campusData.campus.featured_landlord_company: this.$parent.campusData.campus.featured_landlord_name)" class="listingBanner">
                <div class="shape">
                    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1000 100" preserveAspectRatio="none">
                        <path class="shape-fill" d="M0,6V0h1000v100L0,6z"></path>
                    </svg>
                </div>
            </div>
        </template>
        <div class="landlordHead " @click="landlordFilter($parent.campusData.campus.featured_landlord_id)">
            <div class="bannerContent">
                <div class="titleLL text-center text-md-left" v-if="$parent.campusData.campus.featured_text">{{this.$parent.campusData.campus.featured_text}}</div>
                <div class="titleLL text-center text-md-left" v-else-if="!$parent.campusData.campus.text_banner && !$parent.isMobile()">Featured Landlord: {{this.$parent.campusData.campus.featured_landlord_company != null ? this.$parent.campusData.campus.featured_landlord_company: this.$parent.campusData.campus.featured_landlord_name}}</div>
                <div class="titleLL text-center text-md-left" v-else-if="!$parent.campusData.campus.text_banner && $parent.isMobile()">Featured Landlord<br/>{{this.$parent.campusData.campus.featured_landlord_company != null ? this.$parent.campusData.campus.featured_landlord_company: this.$parent.campusData.campus.featured_landlord_name}}</div>
                <div class="titleLL text-center text-md-left" v-if="$parent.campusData.campus.text_banner"><img :src="this.awsPath+'images/featured_landlord/'+$parent.campusData.campus.text_banner" :alt="(this.$parent.campusData.campus.featured_landlord_company != null ? this.$parent.campusData.campus.featured_landlord_company: this.$parent.campusData.campus.featured_landlord_name)" class="listingBanner"></div>
                <div class="btnLL d-md-block d-none">
                    <button aria-label="View This Company's Listings button" :class="{active: this.active,'featuredLandlordBtn': true}" :data-company="this.$parent.campusData.campus.featured_landlord_company" :data-user-id="this.$parent.campusData.campus.featured_landlord_id">
                        View This Company's Listings
                    </button>
                    <small class="sponsor d-block text-right">Sponsored</small>
                </div>
            </div>
            <div class="specialContent" v-if="typeof  $parent.campusData.campus.heading != 'undefined'">
                <h3 v-if="$parent.campusData.campus.heading">{{this.$parent.campusData.campus.heading}}</h3>
                <p v-html="this.$parent.campusData.campus.content"></p>
                <div class="btnLL mt-2 d-md-none d-block text-center">
                    <button aria-label="View This Company's Listings button" :class="{active: this.active,'featuredLandlordBtn': true}" :data-company="this.$parent.campusData.campus.featured_landlord_company" :data-user-id="this.$parent.campusData.campus.featured_landlord_id">
                        View This Company's Listings
                    </button>
                    <small class="sponsor d-block text-right">Sponsored</small>
                </div>
            </div>
        </div>

    </section>
</template>

<script>
    module.exports = {
        data:function(){
            return{
                active:false,
                awsPath: 'https://s3.amazonaws.com/rcp-prod-uploads/'
            }
        },
        methods: {
            checkHash(){
                const filters = window.location.hash.substr(1);
                if(filters == '/landlord'){
                    const id = this.$parent.campusData.campus.featured_landlord_id;
                    this.landlordFilter(id);
                    window.location.hash = '/landlord';
                }
            },
            landlordFilter: function(id){

                this.active =  !this.active;
                let dataFound = false;
                const filters = window.location.hash.substr(1);
                let subUsers = this.$parent.bannner_users;
                if(this.active){
                    this.$root.landlordFilterID = id;
                    const data = this.$parent.listData.filter((listingData) => {
                        if (subUsers.indexOf(listingData.landlord_id.toString()) !== -1 ) {
                            dataFound = true;
                        }else{
                            dataFound = false;
                        }

                        return dataFound;


                    });
                    window.location.hash = '/landlord';
                    this.$root.resetListingData(data);
                }else{
                    this.$root.landlordFilterID = 0;
                    const data = this.$root.allListingData;
                    window.location.hash = '';
                    this.$root.resetListingData(data);
                }


            }
        },
        created(){
            this.checkHash();
        }
    }
</script>